Bug 92388 - FTP client core dumps after failed login
FTP client core dumps after failed login
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: ftp (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-05 14:23 EDT by Brandon Poyner
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 04:21:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon Poyner 2003-06-05 14:23:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Avant Browser 
[avantbrowser.com])

Description of problem:
On a fully patched RedHat 9 box the ftp client can segfault under the right 
conditions.

Version-Release number of selected component (if applicable):
ftp-0.17-17

How reproducible:
Sometimes

Steps to Reproduce:
1. Create an account on the FTP server with a non-existent home directory, eg: 
bpoyner::501:501::/nonexistent:/bin/bash
2. Use the FTP client to connect to FTP server, connect using new account
3. After the server responds with a '500 OOPS: chdir' error, repeatedly try ftp 
client commands until core dump.    

Actual Results:  [bpoyner@zippy bpoyner]$ uname -a
Linux zippy.ccac.edu 2.4.20-18.9 #1 Thu May 29 08:37:23 EDT 2003 i686 i686 i386 
GNU/Linux
[bpoyner@zippy bpoyner]$ ulimit -c 100000
[bpoyner@zippy bpoyner]$ ftp borg
Connected to borg (163.129.254.12).
220 ready, dude (vsFTPd 1.1.0: beat me, break me)
Name (borg:bpoyner):
331 Please specify the password.
Password:
500 OOPS: chdir
Login failed.
ftp> ls
421 Service not available, remote server has closed connection
Passive mode refused.
ftp> Segmentation fault (core dumped)
[bpoyner@zippy bpoyner]$ ls -l core.5152
-rw-------    1 bpoyner  bpoyner    278528 Jun  5 14:17 core.5152


Expected Results:  No segfault.

Additional info:
Comment 1 Thomas Woerner 2004-04-22 08:35:07 EDT
Is this /usr/bin/ftp or /usr/kerberos/bin/ftp?
Comment 2 Thomas Woerner 2004-08-04 04:21:52 EDT
closing due to user inactivity.

Note You need to log in before you can comment on or make changes to this bug.